"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getIdentity = void 0;
const getIdentity = (input, defaultValue = null) => {
  const identity = input?.id && input?.displayName && input?.type ? input : defaultValue;
  if (!identity) {
    return null;
  }
  return {
    id: identity.id,
    displayName: identity.displayName,
    type: identity.type
  };
};
exports.getIdentity = getIdentity;

//# sourceMappingURL=getIdentity.js.map